Accueil du site > Utilitaires > jQuery 1.4.2 pour SPIP 1.92x

jQuery 1.4.2 pour SPIP 1.92x

dimanche 30 mai 2010, par Franck Ruzzin

Ce plugin est basé sur le plugin jQuery 1.2.6 pour SPIP 1.92x de Patrice Vanneufville.

Il permet de rajouter, pour les besoins des plugins récents jQuery version 1.4.2.

 

Désactive l’ancienne librairie jQuery dis­tribuée avec SPIP 1.92x (jquery.js v1.1.1) et ajoute un appel à jquery.js v1.4.2 dans l’entête publique (fonc­tionne sur les sque­lettes dis­posant de la balise #INSERT_HEAD).

Ce plugin vous permet donc de béné­ficier d’une version récente de jQuery pour vos sque­lettes, tout en gardant en partie privée la version ori­ginale. Si vous avez ins­tallé le plugin CFG, choi­sissez la version de jQuery à uti­liser : v1.1.1, v1.2.6, v1.3.2 ou v1.4.2.

Ajout au passage du pipeline jquery_​plugins et des plugins jquery.form, jquery.cookie et ajaxCallback.

Important : ce plugin ne concerne que les versions 1.92x de SPIP.

Documents joints

Répondre à cet article